---
title: RTCIdentityErrorEvent
slug: Web/API/RTCIdentityErrorEvent
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Interface
  - Reference
  - Référence(2)
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{Obsolete_header}}</p>

<p>The <strong><code>RTCIdentityErrorEvent</code></strong> interface represents an error associated with the identity provider (idP). This is usually for an {{domxref("RTCPeerConnection")}}. Two events are sent with this type: {{event("idpassertionerror")}} and {{event("idpvalidationerror")}}.</p>

<div class="note">
<p>Firefox implements this interface under the following name: <code>RTCPeerConnectionIdentityErrorEvent.</code> It is likely that it will correct this name when it will unprefix {{domxref("RTCPeerConnection")}}, once spec and implementation will have been stabilized.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em>A {{domxref("RTCIdentityErrorEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.</p>

<dl>
 <dt>{{domxref("RTCIdentityErrorEvent.idp")}} {{readonlyinline}}</dt>
 <dd>Is a {{domxref("DOMString")}} describing the {{Glossary("domain name")}} of the identity provider (idp) generating the error response.</dd>
 <dt>{{domxref("RTCIdentityErrorEvent.loginUrl")}} {{readonlyinline}}</dt>
 <dd>Is a {{domxref("DOMString")}} giving the URL where the user can complete the authentication. It can be <code>null</code> and is provided by the identity provider (idp).</dd>
 <dt>{{domxref("RTCIdentityErrorEvent.protocol")}} {{readonlyinline}}</dt>
 <dd>Is a {{domxref("DOMString")}} describing the Idp protocol in use.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>A {{domxref("RTCIdentityErrorEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.  <em>There is no specific <em>{{domxref("RTCIdentityErrorEvent")}}</em> method.</em></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">pc.onidpassertionerror = function( ev ) {
                           alert("The idp named '" +
                                 ev.idp +
                                 "' encountered an error " +
                                 "while generating an assertion.");
                         }
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIdentityErrorEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCPeerConnection")}}.</li>
</ul>
